<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://estg.pt/Customer"
	targetNamespace="http://estg.pt/Customer" xmlns:co="http://estg.pt/Common">
	<xs:import schemaLocation="CommonTypes.xsd" namespace="http://estg.pt/Common"/>

	<xs:complexType name="data">
		<xs:sequence>
			<xs:element name="billing" type="billingAddress"/>
			<xs:element name="shipping" type="shippingAddress"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="shippingAddress">
		<xs:sequence>
			<xs:element name="bAddress" type="co:address" />
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="billingAddress">
		<xs:sequence>
			<xs:element name="customer" type="xs:string"/>
			<xs:element name="bAddress" type="co:address" />			
		</xs:sequence>
	</xs:complexType>
</xs:schema>
